﻿using Caliburn.Micro;

namespace QuizApplication.ViewModels
{
    class AdminMenuViewModel : Screen
    {
        public AdminMenuViewModel()
        {

        }

        public void AddQuestionsCommand()
        {
            var conductor = this.Parent as IConductor;
            conductor.ActivateItemAsync(new AddQuestionViewModel());
        }

        public void AddAdminCommand()
        {
            var conductor = this.Parent as IConductor;
            conductor.ActivateItemAsync(new AddAdminViewModel());
        }

        public void EditQuestionsCommand()
        {
            var conductor = this.Parent as IConductor;
            conductor.ActivateItemAsync(new EditQuestionViewModel());
        }
    }
}
