﻿using Caliburn.Micro;
using QuizApplication.Helpers;

namespace QuizApplication.ViewModels
{
    class ShellViewModel : Conductor<object>.Collection.OneActive
    {
        public ShellViewModel()
        {
            ActivateItemAsync(new StartViewModel());
        }

        public void HomeCommand()
        {
            Singleton.ResultView = false;

            if (Items.Count > 1)
            {
                var homePage = Items[0];
                Items.Clear();
                ActivateItemAsync(homePage);
            }
        }

        public void BackCommand()
        {
            if (!Singleton.ResultView)
            {
                if (Items.Count > 1)
                {
                    var homePage = Items[Items.Count - 2];
                    Items.RemoveAt(Items.Count - 1);
                    ActivateItemAsync(homePage);
                }
            }
        }//
    }
}
